﻿@model BookStore.ViewModels.BookGenreViewModel
@{
    ViewBag.Title = "Edit";
}

<h1 style="font-size:40px">Edit</h1>
<hr />

<form method="post">
    <table border="2" style="font-size:20px">
        <tr><th style="text-align: center" colspan="2">Edit book : @Model.Book.Name </th></tr>
        <tr>
            <th>Name of book:</th>
            <td>
                <input type="text" name="Book.Name" value="@Model.Book.Name" />
            </td>
        </tr>
        <tr>
            <th>Price of book:</th>
            <td>
                <input type="number" name="Book.Price" value="@Model.Book.Price" />
            </td>
        </tr>
        <tr>
            <th>Genre of book:</th>
            <td>
                <select name="SelectedGenreId">
                    @foreach (var item in Model.Genres)
                    {
                        if (item.Id == Model.Book.Genre.Id)
                        {
                            <option selected value="@item.Id">@item.Name</option>
                        }
                        else
                        {
                            <option value="@item.Id">@item.Name</option>
                        }

                    }
                </select>
                <input type="hidden" name="Book.Id" value="@Model.Book.Id" />
            </td>

        </tr>
        <tr><td colspan="2" align="right"><input type="submit" value="Save Changes" /></td></tr>
    </table>
    <p><font size='4'><a class="crven plavi-tekst" href='/BookStore'>Link for HomePage</a></font></p>
</form>


